Bug 491457 - device descriptor read/64, error -110
device descriptor read/64, error -110
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-21 06:45 EDT by Nicolas R.
Modified: 2009-12-18 04:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:05:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas R. 2009-03-21 06:45:59 EDT
Description of problem:

Many USB keys doesn't work on F10 X64. They can't be mounted :


usb 2-1: New USB device found, idVendor=1b1c, idProduct=0ad0
usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 2-1: Product: Flash Voyager
usb 2-1: Manufacturer: Corsair
usb 2-1: SerialNumber: 000802213E263DC2DA40
usb-storage: device scan complete
usb 2-1: reset high speed USB device using ehci_hcd and address 10
usb 2-1: device descriptor read/64, error -110
usb 2-1: device descriptor read/64, error -110
usb 2-1: reset high speed USB device using ehci_hcd and address 10
usb 2-1: device descriptor read/64, error -110
usb 2-1: device descriptor read/64, error -110
usb 2-1: reset high speed USB device using ehci_hcd and address 10
usb 2-1: device not accepting address 10, error -110
usb 2-1: reset high speed USB device using ehci_hcd and address 10
usb 2-1: device not accepting address 10, error -110
usb 2-1: USB disconnect, address 10
scsi 9:0:0:0: Device offlined - not ready after error recovery
usb 2-1: new high speed USB device using ehci_hcd and address 11
usb 2-1: device descriptor read/64, error -110
usb 2-1: device descriptor read/64, error -110
usb 2-1: new high speed USB device using ehci_hcd and address 12
usb 2-1: device descriptor read/64, error -110
usb 2-1: device descriptor read/64, error -110
usb 2-1: new high speed USB device using ehci_hcd and address 13
usb 2-1: device not accepting address 13, error -110
usb 2-1: new high speed USB device using ehci_hcd and address 14
usb 2-1: device not accepting address 14, error -110
hub 2-0:1.0: unable to enumerate USB device on port 1
usb 5-1: new full speed USB device using uhci_hcd and address 6
usb 5-1: device descriptor read/64, error -110
usb 5-1: device descriptor read/64, error -110
usb 5-1: new full speed USB device using uhci_hcd and address 7
usb 5-1: device descriptor read/64, error -110
usb 5-1: device descriptor read/64, error -110
usb 5-1: new full speed USB device using uhci_hcd and address 8
usb 5-1: device not accepting address 8, error -110
usb 5-1: new full speed USB device using uhci_hcd and address 9
usb 5-1: device not accepting address 9, error -110
hub 5-0:1.0: unable to enumerate USB device on port 1


BUT they work on Windows, so they aren't damaged.

my kernel is :  2.6.27.19-170.2.35.fc10.x86_64
Comment 1 Mike C 2009-06-07 16:03:35 EDT
I have a usb key that does the same in F10 i386

Jun  7 20:53:31 home1 kernel: usb 2-2: new high speed USB device using ehci_hcd and address 10
Jun  7 20:53:31 home1 kernel: usb 2-2: configuration #1 chosen from 1 choice
Jun  7 20:53:31 home1 kernel: scsi14 : SCSI emulation for USB Mass Storage devices
Jun  7 20:53:31 home1 kernel: usb 2-2: New USB device found, idVendor=067b, idProduct=2528
Jun  7 20:53:31 home1 kernel: usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jun  7 20:53:31 home1 kernel: usb 2-2: Product: Flash Voyager
Jun  7 20:53:31 home1 kernel: usb 2-2: Manufacturer: Corsair
Jun  7 20:53:31 home1 kernel: usb 2-2: SerialNumber: 00080221867DC6D0BA0E
Jun  7 20:53:42 home1 kernel: usb 2-2: reset high speed USB device using ehci_hcd and address 10
Jun  7 20:53:57 home1 kernel: usb 2-2: device descriptor read/64, error -110
Jun  7 20:54:12 home1 kernel: usb 2-2: device descriptor read/64, error -110
Jun  7 20:54:12 home1 kernel: usb 2-2: reset high speed USB device using ehci_hcd and address 10
Jun  7 20:54:27 home1 kernel: usb 2-2: device descriptor read/64, error -110
Jun  7 20:54:43 home1 kernel: usb 2-2: device descriptor read/64, error -110
Jun  7 20:54:43 home1 kernel: usb 2-2: reset high speed USB device using ehci_hcd and address 10
Jun  7 20:54:53 home1 kernel: usb 2-2: device not accepting address 10, error -110
Jun  7 20:54:53 home1 kernel: usb 2-2: reset high speed USB device using ehci_hcd and address 10
Jun  7 20:55:04 home1 kernel: usb 2-2: device not accepting address 10, error -110
Jun  7 20:55:04 home1 kernel: usb 2-2: USB disconnect, address 10
Jun  7 20:55:04 home1 kernel: scsi 14:0:0:0: Device offlined - not ready after error recovery
Jun  7 20:55:04 home1 kernel: usb 2-2: new high speed USB device using ehci_hcd and address 11
Jun  7 20:55:19 home1 kernel: usb 2-2: device descriptor read/64, error -110
Jun  7 20:55:34 home1 kernel: usb 2-2: device descriptor read/64, error -110
Jun  7 20:55:34 home1 kernel: usb 2-2: new high speed USB device using ehci_hcd and address 12

Any workaround or fix available?
Comment 2 Mike C 2009-06-07 17:48:29 EDT
I ended up reformatting the drive in XP and then it loaded fine in F10. Very strange.  I had used the key a few months ago in F10 without any problems. The only thing I can think of that may have made any difference is a new kernel.
However other usbkeys have continued to work just fine. Very odd.
Comment 3 Bug Zapper 2009-11-18 04:55:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:05:05 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.